rubygem-cmdparse-2.0.5-1.of.el6.noarch.rpm


Advertisement

Description

rubygem-cmdparse - Advanced command line parser supporting commands

Property Value
Distribution CentOS 6
Repository Open Fusion i386
Package filename rubygem-cmdparse-2.0.5-1.of.el6.noarch.rpm
Package name rubygem-cmdparse
Package version 2.0.5
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage http://cmdparse.rubyforge.org
License GPLv2+ or Ruby
Maintainer -
Download size 106.91 KB
Installed size 209.49 KB
cmdparse provides classes for parsing commands on the command line;
command line options
are parsed using optparse or any other option parser implementation. Programs
that use
such command line interfaces are, for example, subversion's 'svn' or Rubygem's
'gem' program.

Alternatives

Package Version Architecture Repository
rubygem-cmdparse-2.0.5-1.of.el6.noarch.rpm 2.0.5 noarch Open Fusion
rubygem-cmdparse - - -

Requires

Name Value
ruby >= 0
ruby(abi) = 1.8
rubygems >= 0

Provides

Name Value
rubygem(cmdparse) = 2.0.5
rubygem-cmdparse = 2.0.5-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package rubygem-cmdparse-2.0.5-1.of.el6.noarch.rpm
Source Package rubygem-cmdparse-2.0.5-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-i386/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install rubygem-cmdparse rpm package:
    # yum install rubygem-cmdparse

Files

Path
/usr/lib/ruby/gems/1.8/cache/cmdparse-2.0.5.gem
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/COPYING
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/COPYING.LESSER
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/README
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/Rakefile
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/TODO
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/VERSION
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/net.rb
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/setup.rb
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/.yardoc/checksums
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/.yardoc/proxy_types
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/.yardoc/objects/root.dat
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/config.yaml
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/plugin/extract.rb
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/about.page
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/default.css
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/default.template
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/download.page
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/features.page
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/index.page
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/logo.png
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/meta.info
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/doc/src/tutorial.page
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/lib/cmdparse.rb
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/lib/cmdparse/
/usr/lib/ruby/gems/1.8/gems/cmdparse-2.0.5/lib/cmdparse/wrappers/optparse.rb
/usr/lib/ruby/gems/1.8/specifications/cmdparse-2.0.5.gemspec

Changelog

2012-06-28 - Gavin Carr <gavin@openfusion.com.au> - 2.0.5-1
- Initial package

See Also

Package Description
rubygem-coderay-1.0.9-1.of.el6.noarch.rpm Fast syntax highlighting for selected languages
rubygem-coffee-rails-3.1.0-1.of.el6.noarch.rpm Coffee Script adapter for the Rails asset pipeline
rubygem-coffee-script-2.2.0-1.of.el6.noarch.rpm Ruby CoffeeScript Compiler
rubygem-coffee-script-source-1.1.2-1.of.el6.noarch.rpm The CoffeeScript Compiler
rubygem-colored-1.2-1.of.el6.noarch.rpm Add some color to your life
rubygem-columnize-0.3.4-1.of.el6.noarch.rpm Read file with caching
rubygem-configliere-0.4.8-1.of.el6.noarch.rpm Wise, discreet configuration management
rubygem-configuration-1.2.0-1.of.el6.noarch.rpm configuration
rubygem-connection_pool-0.9.1-1.of.el6.noarch.rpm Generic connection pool for Ruby
rubygem-contest-0.1.2-1.of.el6.noarch.rpm Write more readable tests in Test::Unit with this tiny script
rubygem-crack-0.1.8-1.of.el6.noarch.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
rubygem-crack-0.3.1-1.of.el6.noarch.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
rubygem-creole-0.4.2-1.of.el6.noarch.rpm Lightweight markup language
rubygem-cri-2.3.0-1.of.el6.noarch.rpm a library for building easy-to-use commandline tools
rubygem-daemons-1.1.0-1.of.el6.noarch.rpm A toolkit to create and control daemons in different ways
Advertisement
Advertisement